package serializers;

import com.vividsolutions.jts.geom.Geometry;
import flexjson.JSONSerializer;
import utils.SerializerUtil;
import utils.flexjson.GeometryTransformer;

public class Questionario3Serializer {

	public static JSONSerializer findInfo = SerializerUtil.create(

			"id",
			"consumoAguaRedePublicaConsumoMedio",
			"consumoAguaRedePublicaUsoDomestico",
			"consumoAguaRedePublicaUsoIndustrial",
			"consumoAguaRedePublicaVazao",
			"consumoAguaAguaSubterraneaConsumoMedio",
			"consumoAguaAguaSubterraneaUsoDomestico",
			"consumoAguaAguaSubterraneaUsoIndustrial",
			"consumoAguaAguaSubterraneaVazao",
			"consumoAguaAguaSuperficialConsumoMedio",
			"consumoAguaAguaSuperficialUsoDomestico",
			"consumoAguaAguaSuperficialUsoIndustrial",
			"consumoAguaAguaSuperficialVazao",
			"consumoAguaRedePublica",
			"consumoAguaAguaSubterranea",
			"consumoAguaAguaSuperficial",
			"efluentesDomesticoVazaoMedia",
			"efluentesDomesticoRegimeCarga",
			"efluentesDomesticoTipoTratamentoEte",
			"efluentesDomesticoTipoTratamentoFossaSeptica",
			//"efluentesDomesticoTipoTratamentoFossaFiltro",
			//"efluentesDomesticoTipoTratamentoRemocaoOleoGraxa",
			"efluentesDomesticoTipoTratamentoOutros",
			"efluentesDomesticoTipoTratamentoOutrosEspecificar",
			"efluentesDomesticoDestinoFinalFossaSeptica",
			//"efluentesDomesticoDestinoFinalFossaFiltro",
			"efluentesDomesticoDestinoFinalEte",
			//"efluentesDomesticoDestinoFinalRemocaoOleoGraxa",
			"efluentesDomesticoDestinoFinalOutros",
			"efluentesDomesticoDestinoFinalOutrosEspecificar",
			"efluentesIndustrialVazaoMedia",
			"efluentesIndustrialRegimeCarga",
			"efluentesIndustrialTipoTratamentoEte",
			"efluentesIndustrialTipoTratamentoFossaSeptica",
			"efluentesIndustrialTipoTratamentoFossaFiltro",
			"efluentesIndustrialTipoTratamentoRemocaoOleoGraxa",
			"efluentesIndustrialTipoTratamentoValaDeInfiltracao",
			"efluentesIndustrialTipoTratamentoOutros",
			"efluentesIndustrialTipoTratamentoOutrosEspecificar",
			"efluentesIndustrialDestinoFinalFossaSeptica",
			"efluentesIndustrialDestinoFinalFossaFiltro",
			"efluentesIndustrialDestinoFinalRemocaoOleoGraxa",
			"efluentesIndustrialDestinoFinalLancamentoCorpoHidrico",
			"efluentesIndustrialDestinoFinalValaDeInfiltracao",
			"efluentesIndustrialDestinoFinalOutros",
			"efluentesIndustrialDestinoFinalOutrosEspecificar",
			"efluentesDomestico",
			"efluentesIndustrial",
			"residuosSolidosDomesticoQuantidadeMedia",
			"residuosSolidosDomesticoTratamentoDisposicaoAterroSanitario",
			"residuosSolidosDomesticoTratamentoDisposicaoAterroCeuAberto",
			"residuosSolidosDomesticoTratamentoDisposicaoIncineracao",
			"residuosSolidosDomesticoTratamentoDisposicaoReciclagem",
			"residuosSolidosDomesticoTratamentoDisposicaoCompostagem",
			"residuosSolidosDomesticoTratamentoDisposicaoOutros",
			"residuosSolidosDomesticoTratamentoDisposicaoOutrosEspecificar",
			"residuosSolidosDomesticoTipoColetaPublica",
			"residuosSolidosDomesticoTipoColetaPropria",
			"residuosSolidosDomesticoTipoColetaTerceiros",
			"residuosSolidosDomesticoTipoColetaTerceirosEspecificar",
			"residuosSolidosEscritorioQuantidadeMedia",
			"residuosSolidosEscritorioTratamentoDisposicaoAterroSanitario",
			"residuosSolidosEscritorioTratamentoDisposicaoAterroCeuAberto",
			"residuosSolidosEscritorioTratamentoDisposicaoIncineracao",
			"residuosSolidosEscritorioTratamentoDisposicaoReciclagem",
			"residuosSolidosEscritorioTratamentoDisposicaoOutros",
			"residuosSolidosEscritorioTratamentoDisposicaoOutrosEspecificar",
			"residuosSolidosEscritorioTipoColetaPublica",
			"residuosSolidosEscritorioTipoColetaPropria",
			"residuosSolidosEscritorioTipoColetaTerceiros",
			"residuosSolidosEscritorioTipoColetaTerceirosEspecificar",
			"residuosSolidosIndustrialQuantidadeMedia",
			"residuosSolidosIndustrialTratamentoDisposicaoAterroSanitario",
			"residuosSolidosIndustrialTratamentoDisposicaoAterroCeuAberto",
			"residuosSolidosIndustrialTratamentoDisposicaoIncineracao",
			"residuosSolidosIndustrialTratamentoDisposicaoReciclagem",
			"residuosSolidosIndustrialTratamentoDisposicaoAterroIndustrial",
			"residuosSolidosIndustrialTratamentoDisposicaoReaproveitamentoProcesso",
			"residuosSolidosIndustrialTratamentoDisposicaoOutros",
			"residuosSolidosIndustrialTratamentoDisposicaoOutrosEspecificar",
			"residuosSolidosIndustrialTipoColetaPublica",
			"residuosSolidosIndustrialTipoColetaPropria",
			"residuosSolidosIndustrialTipoColetaTerceiros",
			"residuosSolidosIndustrialTipoColetaTerceirosEspecificar",
			"residuosSolidosIndustrialPerigososQuantidadeMedia",
			"residuosSolidosIndustrialPerigososTratamentoDisposicaoAterroSanitario",
			"residuosSolidosIndustrialPerigososTratamentoDisposicaoAterroCeuAberto",
			"residuosSolidosIndustrialPerigososTratamentoDisposicaoIncineracao",
			"residuosSolidosIndustrialPerigososTratamentoDisposicaoReciclagem",
			"residuosSolidosIndustrialPerigososTratamentoDisposicaoAterroIndustrial",
			"residuosSolidosIndustrialPerigososTratamentoDisposicaoOutros",
			"residuosSolidosIndustrialPerigososTratamentoDisposicaoOutrosEspecificar",
			"residuosSolidosIndustrialPerigososTipoColetaPublica",
			"residuosSolidosIndustrialPerigososTipoColetaPropria",
			"residuosSolidosIndustrialPerigososTipoColetaTerceiros",
			"residuosSolidosIndustrialPerigososTipoColetaTerceirosEspecificar",
			"residuosSolidosOutrosOrigem",
			"residuosSolidosOutrosQuantidadeMedia",
			"residuosSolidosOutrosTratamentoDisposicaoAterroSanitario",
			"residuosSolidosOutrosTratamentoDisposicaoAterroCeuAberto",
			"residuosSolidosOutrosTratamentoDisposicaoIncineracao",
			"residuosSolidosOutrosTratamentoDisposicaoOutros",
			"residuosSolidosOutrosTratamentoDisposicaoOutrosEspecificar",
			"residuosSolidosOutrosTipoColetaPublica",
			"residuosSolidosOutrosTipoColetaPropria",
			"residuosSolidosOutrosTipoColetaTerceiros",
			"residuosSolidosOutrosTipoColetaTerceirosEspecificar",
			"residuosSolidosDomestico",
			"residuosSolidosEscritorio",
			"residuosSolidosIndustrial",
			"residuosSolidosIndustrialPerigosos",
			"residuosSolidosOutros",
			"numeroEmpregados",
			"consumoAgua",
			"efluentes",
			"residuosSolidos"

			).transform(new GeometryTransformer(), Geometry.class);

}
